RanklyBee logoRanklyBee
Inbox

List outreach conversations

GET
/workspaces/{workspaceId}/sites/{siteId}/threads

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

Query Parameters

page?integer
Range1 <= value
Default1
limit?integer
Range1 <= value <= 100
Default25

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/sites/string/threads"
{  "ok": true,  "data": {    "data": [      {        "id": "string",        "threadId": "string",        "contactId": "string",        "status": "string",        "outcome": "string",        "classification": "string",        "inboundCount": 0,        "outboundCount": 0,        "lastInboundAt": "2019-08-24T14:15:22Z",        "lastOutboundAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "contact": {          "id": "string",          "fullName": "string",          "email": "user@example.com",          "role": "string",          "company": "string"        },        "prospect": {          "id": "string",          "title": "string",          "url": "http://example.com",          "domain": "string"        }      }    ],    "pagination": {      "page": 0,      "limit": 0,      "total": 0,      "hasMore": true    }  }}